## AnjutaPkgScanner

AnjutaPkgScanner — Scan files contained by a library using pkg-config

## Functions

AnjutaCommand * | anjuta_pkg_scanner_new ()
const gchar * | anjuta_pkg_scanner_get_package ()
const gchar * | anjuta_pkg_scanner_get_version ()
GList * | anjuta_pkg_scanner_get_files ()

## Properties

gchar * | package | Read / Write / Construct
gchar * | version | Read / Write / Construct

## Object Hierarchy

        GObject
        ╰── AnjutaCommand
            ╰── AnjutaAsyncCommand
                ╰── AnjutaPkgScanner

## Description

AnjutaPkgScanner is an async command that can be used to query the list of files and the version of a package.

## Functions

### anjuta_pkg_scanner_new ()

    AnjutaCommand *
    anjuta_pkg_scanner_new (const gchar *package,
                            const gchar *version);

### anjuta_pkg_scanner_get_package ()

    const gchar *
    anjuta_pkg_scanner_get_package (AnjutaPkgScanner *scanner);

### anjuta_pkg_scanner_get_version ()

    const gchar *
    anjuta_pkg_scanner_get_version (AnjutaPkgScanner *scanner);

### anjuta_pkg_scanner_get_files ()

    GList *
    anjuta_pkg_scanner_get_files (AnjutaPkgScanner *scanner);

## Types and Values

## Property Details

### The `“package”` property

      “package”                  gchar *

Name of the package.

Flags: Read / Write / Construct

Default value: NULL

### The `“version”` property

      “version”                  gchar *

Version of the package.

Flags: Read / Write / Construct

Default value: NULL

## See Also

AnjutaAsyncCommand `include` libanjuta/anjuta-pkg-scanner.h